Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# StrPtrLen Struct Reference
[OSCL Util]

This data structure encapsulates a set of functions used to perform. More...

`#include <oscl_str_ptr_len.h>`

Inheritance diagram for StrPtrLen:

## Public Methods
| StrPtrLen (const char *newPtr)
| StrPtrLen (const char *newPtr, uint32 newLen)
| StrPtrLen ()
| StrPtrLen (const StrPtrLen &rhs)
const char * | c_str () const
int32 | length () const
int32 | size () const
void | setPtrLen (const char *newPtr, uint32 newLen)
c_bool | isCIEquivalentTo (const StrPtrLen &rhs) const
c_bool | isCIPrefixOf (const StrPtrLen &rhs) const
int32 | operator== (const StrPtrLen &rhs) const
int32 | operator!= (const StrPtrLen &rhs) const
StrPtrLen & | operator= (const StrPtrLen &rhs)
StrPtrLen & | operator= (const char *rhs)
## Protected Methods
bool | isLetter (const char c) const
## Protected Attributes
const char * | ptr
int32 | len

## Detailed Description

This data structure encapsulates a set of functions used to perform.

standard string operations. It should be used for null-terminated constant (non-modifiable) strings of char type.

## Constructor & Destructor Documentation

StrPtrLen::StrPtrLen | ( | const char * | newPtr | ) | `[inline]`

StrPtrLen::StrPtrLen | ( | const char * | newPtr,
|  | uint32 | newLen
| ) | `[inline]`

StrPtrLen::StrPtrLen | ( |  | ) | `[inline]`

StrPtrLen::StrPtrLen | ( | const StrPtrLen & | rhs | ) | `[inline]`

## Member Function Documentation

const char* StrPtrLen::c_str | ( |  | ) | const`[inline]`

c_bool StrPtrLen::isCIEquivalentTo | ( | const StrPtrLen & | rhs | ) | const`[inline]`

c_bool StrPtrLen::isCIPrefixOf | ( | const StrPtrLen & | rhs | ) | const`[inline]`

bool StrPtrLen::isLetter | ( | const char | c | ) | const`[inline, protected]`

int32 StrPtrLen::length | ( |  | ) | const`[inline]`

int32 StrPtrLen::operator!= | ( | const StrPtrLen & | rhs | ) | const`[inline]`

StrPtrLen& StrPtrLen::operator= | ( | const char * | rhs | ) | `[inline]`

| Reimplemented in StrCSumPtrLen.

StrPtrLen& StrPtrLen::operator= | ( | const StrPtrLen & | rhs | ) | `[inline]`

| Reimplemented in StrCSumPtrLen.

int32 StrPtrLen::operator== | ( | const StrPtrLen & | rhs | ) | const`[inline]`

void StrPtrLen::setPtrLen | ( | const char * | newPtr,
|  | uint32 | newLen
| ) | `[inline]`

| Reimplemented in StrCSumPtrLen.

int32 StrPtrLen::size | ( |  | ) | const`[inline]`

## Field Documentation

int32 StrPtrLen::len`[protected]`

const char* StrPtrLen::ptr`[protected]`

The documentation for this struct was generated from the following file:

- oscl_str_ptr_len.h